package com.yixin.ms.model.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

import java.util.Date;

@Data
@TableName(value = "person_info", autoResultMap = true)
public class PersonInfo {

    /**
     * 主键id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 身份证
     */
    private String idCardNo;

    /**
     * 姓名
     */
    private String trueName;

    /**
     * 地址
     */
    private String address;

    /**
     * 民族
     */
    private String nation;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 申请凭证时间
     */
    private Date applyTime;

    /**
     * 凭证有效期
     */
    private Date validTime;

    /**
     * 性别
     */
    private String sex;

    /**
     * 人脸比对状态0-未成功 1-成功
     */
    private Integer comparedState;

    /**
     * 设备编号
     */
    private String sn;

    /**
     * 删除状态
     */
    @TableField(fill = FieldFill.INSERT)
    private Boolean isDeleted;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /**
     * 版本
     */
    @Version
    @TableField(fill = FieldFill.INSERT)
    private Integer version;
}
